routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify' => true]);
Route::post('/test','RendezVousController@search')->name('rendezvous_search');
Route::get('/test','RendezVousController@search');
Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
Route::get('/profile', 'ProfileController@index')->name('profile');
Route::post('/editprofile', 'ProfileController@edit')->name('editprofile');
Route::get('/patients/{id}/rencontres','RencontreController@list')->name('patients.rencontres');
Route::post('/patients/search','PatientController@search')->name('patient_search');
Route::post('upload_image', 'ProfileController@store_image')->name('upload_image');
Route::post('change_name','ProfileController@change_name')->name('change_name');
Route::post('change_lastname','ProfileController@change_lastname')->name('change_lastname');
Route::post('change_password','ProfileController@change_password')->name('change_password');
Route::resource('patients', 'PatientController');
Route::resource('rencontres', 'RencontreController');
Route::resource('rendezvous', 'RendezVousController');
Route::get('patient/{id}/images','PatientController@show_images')->name('show_images');
Route::get('patient/{id}/documents','PatientController@show_documents')->name('show_documents');
Route::post('/images/store','ImageController@store_image')->name('store_image');
Route::get('images/create','ImageController@create')->name('images.create');
Route::post('/documents/s/store','DocumentController@store')->name('store_doc');
Route::get('documents/create','DocumentController@create')->name('documents.create');

app/RendezVous.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class RendezVous extends Model
{
    //
    protected $fillable = [
        'date',
        'time',
        'patient_id',
        'user_id',
    ];
    public function patient()
    {
        return $this->belongsTo('App\Patient','patient_id');
    }
}

app/Http/Controllers/RendezVousController.php
<?php

namespace App\Http\Controllers;

use App\Dto\RendezVous as DtoRendezVous;
use App\Patient;
use App\RendezVous;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;


class RendezVousController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth','verified']);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        //
        $day = $request->get('day');
        $data = RendezVous::where('user_id', '=', Auth::user()->id)->where('date', '=', date('Y-m-d'))->orderBy('time', 'asc')->paginate(6);
        return view('rendezvous.index', ['data' => $data]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $patients = Patient::all();
        return view('rendezvous.create', ["patients" => $patients]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $request->validate([
            'date' => "required"
        ]);
        $rendezvous = new RendezVous([
            'date' => $request->get('date'),
            'time' => $request->get('time'),
            'patient_id' => $request->get('patient_id'),
            'user_id' => Auth::user()->id,
        ]);
        $max=strtotime("+15 minutes",strtotime($rendezvous->time));
        $min=strtotime("-15 minutes",strtotime($rendezvous->time));
         $data = RendezVous::where('user_id', '=', Auth::user()->id)
            ->where('date', '=', $rendezvous->date)
            ->where('time', '>=', date('H:i:s', $min))
            ->where('time','<=',date('H:i:s', $max))
            ->get();
        if (count($data)) {
            return redirect('/rendezvous/create')->with('danger', 'Unregistered appointment! You shoud respect an interval of 30 minutes (± 15 minutes) between appointments.');
        }
        $rendezvous->save();
        return redirect('/rendezvous')->with('success', 'Appointment saved!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\RendezVous  $rendezVous
     * @return \Illuminate\Http\Response
     */
    public function show(RendezVous $rendezVous)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\RendezVous  $rendezVous
     * @return \Illuminate\Http\Response
     */
    public function edit(RendezVous $rendezVous)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\RendezVous  $rendezVous
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, RendezVous $rendezVous)
    {
        //
    }
    public function search(Request $request)
    {
        $id=Auth::user()->id;
        $events=RendezVous::where('user_id','=',$id)->get();
        $events->transform(function ($item, $key) {
            return DtoRendezVous::fromModel($item);
        });
        return json_encode($events);
    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\RendezVous  $rendezVous
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $rendezVous = RendezVous::find($id);
        $rendezVous->delete();
        return redirect()->back()->with('success', 'Meeting deleted!');
    }
}

resources/views/rendezvous/create.blade.php
@extends('layouts.app')

@section('title', 'Meet')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('New meeting') }}</div>

                    <div class="card-body">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if (!empty($rendezvous))
                            <form class="flex flex-col w-full" method="POST"
                                action="{{ route('rendezvous.update', $rendezvous) }}">
                                @method('put')
                            @else
                                <form class="flex flex-col w-full" method="POST" action="{{ route('rendezvous.store') }}">
                        @endif
                        @csrf
                        <div class="flex w-full">
                            {{-- form input element --}}
                            <div class="form-group row">
                                <label for="date" class="col-md-4 col-form-label text-md-right">{{ __('Date') }}</label>
                                <div class="col-md-6">
                                    <input rows="2" id="date" type="date" required name="date"
                                        value="{{ old('date', $rendezvous->date ?? '') }}" class="form-control
                                        @error('date') border-red-500 @enderror">

                                    @error('date')
                                    <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>

                            {{-- form input element --}}
                            <div class="form-group row">
                                <label for="time" class="col-md-4 col-form-label text-md-right">{{ __('Time') }}</label>
                                <div class="col-md-6">
                                    <input rows="2" id="time" type="time" required name="time"
                                        value="{{ old('time', $rendezvous->time ?? '') }}" class="form-control
                                        @error('time') border-red-500 @enderror">

                                    @error('time')
                                    <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>

                            {{-- form input element --}}
                            <div class="form-group row">
                                <label for="patient_id"
                                    class="col-md-4 col-form-label text-md-right">{{ __('login.patient') }}</label>
                                <div class="col-md-6">
                                    <select name="patient_id" id="select_client" class="
                                                @error('patient_id') border-red-500 @enderror"
                                        value="{{ old('patient_id', $rendezvous->patient_id ?? '') }}"
                                        data-live-search="true" title="Select Patient" required>
                                        @foreach ($patients as $item)
                                            <option value="{{ $item->id }}">{{ $item->name }} {{ $item->lastname }}</option>
                                        @endforeach
                                    </select>



                                    @error('patient_id')
                                    <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <button class="btn btn-primary" type="submit">Save </button>
                        <form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/rendezvous/index.blade.php
@extends('layouts.app')
@section('title', __('My appointments'))
@section('script')
@parent
<script src="{{ mix('js/calendar/calendar_script.js') }}" defer></script>
@endsection
@section('content')
<section class="content">
    <div class="container-fluid">
      <div class="row">
        <!-- /.col -->

        <div class="col-md-12">
            <a type="button" class="btn btn-primary"
                            href="{{ route('rendezvous.create') }}">{{ __('New appointment') }}</a><br>
          <div class="card card-primary">
            <div class="card-body p-0">
              <!-- THE CALENDAR -->
              <div id="calendar"></div>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </div><!-- /.container-fluid -->
</section>
@endsection